> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get experiment by ID



## OpenAPI

````yaml get /v1/experiments/{experiment_id}
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/experiments/{experiment_id}:
    get:
      tags:
        - experiments
      summary: Get experiment by ID
      operationId: getExperiment
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
      responses:
        '200':
          description: Experiment retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetExperimentResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Experiment not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetExperimentResponseBody:
      properties:
        data:
          $ref: '#/components/schemas/Experiment'
      type: object
      required:
        - data
      title: GetExperimentResponseBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Experiment:
      properties:
        id:
          type: string
          title: Id
          description: The ID of the experiment
        dataset_id:
          type: string
          title: Dataset Id
          description: The ID of the dataset associated with the experiment
        dataset_version_id:
          type: string
          title: Dataset Version Id
          description: The ID of the dataset version associated with the experiment
        name:
          type: string
          title: Name
          description: The name of the experiment
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The description of the experiment
        repetitions:
          type: integer
          exclusiveMinimum: 0
          title: Repetitions
          description: Number of times the experiment is repeated
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Metadata of the experiment
        project_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Name
          description: The name of the project associated with the experiment
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The creation timestamp of the experiment
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The last update timestamp of the experiment
        example_count:
          type: integer
          title: Example Count
          description: Number of examples in the experiment
        successful_run_count:
          type: integer
          title: Successful Run Count
          description: Number of successful runs in the experiment
        failed_run_count:
          type: integer
          title: Failed Run Count
          description: Number of failed runs in the experiment
        missing_run_count:
          type: integer
          title: Missing Run Count
          description: Number of missing (not yet executed) runs in the experiment
      type: object
      required:
        - id
        - dataset_id
        - dataset_version_id
        - name
        - description
        - repetitions
        - metadata
        - project_name
        - created_at
        - updated_at
        - example_count
        - successful_run_count
        - failed_run_count
        - missing_run_count
      title: Experiment
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````